libzypp 17.37.10

metalinkparser.cc File Reference
`#include "metalinkparser.h"`
`#include <zypp-core/parser/parseexception.h>`
`#include <zypp-core/base/Logger.h>`
`#include <zypp-core/ByteArray.h>`
`#include <zypp-core/AutoDispose.h>`
`#include <stack>`
`#include <vector>`
`#include <algorithm>`
`#include <libxml/SAX2.h>`

Go to the source code of this file.

## Classes
struct | zypp::media::transition
struct | zypp::media::ml_parsedata

## Namespaces
namespace | zypp
| Easy-to use interface to the ZYPP dependency resolver.
namespace | zypp::env
| Namespace intended to collect all environment variables we use.
namespace | zypp::media

## Enumerations
enum | zypp::media::ParserState { zypp::media::STATE_START , zypp::media::STATE_METALINK , zypp::media::STATE_FILES , zypp::media::STATE_FILE , zypp::media::STATE_M4FILE , zypp::media::STATE_SIZE , zypp::media::STATE_M4SIZE , zypp::media::STATE_VERIFICATION , zypp::media::STATE_HASH , zypp::media::STATE_M4HASH , zypp::media::STATE_PIECES , zypp::media::STATE_M4PIECES , zypp::media::STATE_PHASH , zypp::media::STATE_M4PHASH , zypp::media::STATE_RESOURCES , zypp::media::STATE_URL , zypp::media::STATE_M4URL , zypp::media::NUMSTATES }

## Functions
bool | zypp::env::ZYPP_METALINK_DEBUG ()
| Hack to circumvent the currently poor –root support.
const std::unordered_map< ParserState, std::vector< transition > > & | zypp::media::transitions ()
static void XMLCALL | zypp::media::startElement (void *userData, const xmlChar *name, const xmlChar **atts)
static void XMLCALL | zypp::media::endElement (void *userData, const xmlChar *name)
static void XMLCALL | zypp::media::characterData (void *userData, const xmlChar *s, int len)
static void XMLCALL | zypp::media::parseError (void *userData, const xmlError *error)
static const char * | zypp::media::find_attr (const char *txt, const xmlChar **atts)
| Look up a xml attribute in the passed array atts.
UByteArray | zypp::media::hexstr2bytes (const std::string &str)